Extending Qt Creator Manual | PPToken

Extending Qt Creator Manual 4.5.2

# PPToken Class

(CPlusPlus::Internal::PPToken)

- List of all members, including inherited members

## Public Functions

| PPToken()
| PPToken(const QByteArray &src)
ByteArrayRef | asByteArrayRef() const
const char * | bufferStart() const
bool | hasSource() const
void | setSource(const QByteArray &src)
const QByteArray & | source() const
void | squeezeSource()
const char * | tokenStart() const

## Member Function Documentation

### PPToken::PPToken()

Default constructs an instance of PPToken.

### PPToken::PPToken(const QByteArray &src)

Default constructs an instance of PPToken.

### ByteArrayRef PPToken::asByteArrayRef() const

### const char *PPToken::bufferStart() const

### bool PPToken::hasSource() const

### void PPToken::setSource(const QByteArray &src)

See also source().

### const QByteArray &PPToken::source() const

See also setSource().

### void PPToken::squeezeSource()

### const char *PPToken::tokenStart() const